use std::io::Write;

// Special treatment for perverted BSD
//#[cfg(target_os = "darwin")]
fn main() {
    use std::fs::OpenOptions;
    let mut f = OpenOptions::new().write(true).create(true).open("./chiaki.app/Info.plist").unwrap();

    f.write(format!(r#"CFBundleName = "chiaki";
CFBundleDisplayName = "chiaki";
CFBundleIdentifier = "sucks.apple.chiaki";
CFBundleVersion = "{}";
CFBundlePackageType = "APPL";
CFBundleSignature = "aaaa";
CFBundleExecutable = "chiaki";"#, env!("CARGO_PKG_VERSION")).as_bytes()).unwrap();
}

//#[cfg(not(target_os = "darwin"))]
